Bug 1262279 - RFE: add API for iscsi sessions retrieval
RFE: add API for iscsi sessions retrieval
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: iscsi-initiator-utils (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Chris Leech
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1341006 1267476
  Show dependency treegraph
 
Reported: 2015-09-11 06:40 EDT by Peter Hatina
Modified: 2016-05-31 21:33 EDT (History)
7 users (show)

See Also:
Fixed In Version: iscsi-initiator-utils-6.2.0.873-28.git6aa2c9b
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-05 16:04:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (8.17 KB, patch)
2015-09-11 06:40 EDT, Peter Hatina
no flags Details | Diff

  None (edit)
Description Peter Hatina 2015-09-11 06:40:06 EDT
Created attachment 1072516 [details]
Proposed patch

Description of problem:  libiscsi from iscsi-initiator-utils doesn't provide any API to retrieve information about current iscsi sessions.


Version-Release number of selected component (if applicable):
iscsi-initiator-utils-6.2.0.873-27.git6aa2c9b.fc23.x86_64


Actual results:
No session API available.


Expected results:
API for single session or all sessions retrieval implemented.
Comment 1 Peter Hatina 2015-09-11 06:40:50 EDT
Attached patch has been tested and is being used in Storaged project.
Comment 2 Marius Vollmer 2015-09-22 08:52:07 EDT
Works just fine.  Cockpit needs this to show iscsi sessions in the UI.
Comment 3 Marius Vollmer 2015-09-30 03:14:01 EDT
What is happening with this?  Is anyone working on it?
Comment 4 Chris Leech 2015-10-05 16:04:42 EDT
provided patch applied in rawhide

Note You need to log in before you can comment on or make changes to this bug.